@font-face {
    font-family: "Inter", sans-serif;
    src: url("../font/Inter-Regular.ttf");
}
@font-face {
  font-family: "Inter", sans-serif;
  src: url("../font/Inter-Bold.ttf");
  font-weight: 900;
}
@font-face {
  font-family: "Inter", sans-serif;
  src: url("../font/Inter-ExtraBold.ttf");
  font-weight: bold;
}
@font-face {
  font-family: "Inter", sans-serif;
  src: url("../font/Inter-Medium.ttf");
  font-weight: 500;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
}
html, body, #root, .App{
    background-color: #D9D9D9;
    height: 100%;
}

/* THEME */
.App.dark header .header--title, .App.dark .content--main__title, .App.dark .content--side h6{
    color: #fff !important;
}
.App.dark .line{
    border: 1px solid #D9D9D9 !important;
}

.App.dark, body.dark #root{
    background-color: #000 !important;
}

#root{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.App{
    padding: 2rem;
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #D9D9D9;
}


body {
    font-family: "Inter", sans-serif !important;
}

.container{
    --distance-x: 1.5rem;
    --distance-y: 0;
    margin-left: auto;
    margin-right: auto;
    padding-left: calc(var(--distance-x)* .5);
    padding-right: calc(var(--distance-x)* .5);
    width: 100%;
}

.line{
    border: 1px solid #000;
    margin: 1rem 0rem;
    width: 65%;
}
.side.right{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}


header .header--title{
    text-align: center;
    font-size: 19px;
    color: #000;
}

.content--side{
    display: flex;
    flex-direction: column;
}
.content--side.right{
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.content--side h6{
    font-size: 19px;
    color: #000;
}
.content--side span{
    font-size: 14px;
    color: #919191;
    text-wrap: nowrap;
}
.text-left{
    text-align: left !important;
}
.text-right{
    text-align: right !important;
}

.content--main{
    display: block;
    padding: 0rem 13rem;
}

.content--main__title{
    font-size: 66px;
    text-align: center;
    color: #000;
    font-weight: 300;
}
.content--main__title span{
    color: #FF0000 !important;
}

.main--container{
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    margin: 4rem 0rem;
}

.d-flex{
    display: flex !important;
}
.justify-content-center{
    justify-content: center !important;
}

.btn{
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none !important;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.675rem 2.8rem;
    font-size: 25px;
    border-color: none;
    background-color: #FF0000;
    color: #fff;
    border-radius: 29px;
    transition: all .25s ease-in;
}

.position-relative{
    position: relative;
}
  
  .btn:active {
    transform: scale(0.96);
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
  }
  
  /* .btn:before,
  .btn:after {
    position: absolute;
    content: "";
    width: 150%;
    left: 50%;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    height: 100%;
    transform: translateX(-50%);
    z-index: -1000;
    background-repeat: no-repeat;
  }
  
  .btn:hover:before {
    top: -70%;
    background-image: radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, transparent 20%, #7d2ae8 20%, transparent 30%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, transparent 10%, #7d2ae8 15%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%);
    background-size: 10% 10%, 20% 20%, 15% 15%, 20% 20%, 18% 18%, 10% 10%, 15% 15%,
      10% 10%, 18% 18%;
    background-position: 50% 120%;
    animation: greentopBubbles 0.6s ease;
  } */
  
  @keyframes greentopBubbles {
    0% {
      background-position: 5% 90%, 10% 90%, 10% 90%, 15% 90%, 25% 90%, 25% 90%,
        40% 90%, 55% 90%, 70% 90%;
    }
  
    50% {
      background-position: 0% 80%, 0% 20%, 10% 40%, 20% 0%, 30% 30%, 22% 50%,
        50% 50%, 65% 20%, 90% 30%;
    }
  
    100% {
      background-position: 0% 70%, 0% 10%, 10% 30%, 20% -10%, 30% 20%, 22% 40%,
        50% 40%, 65% 10%, 90% 20%;
      background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
    }
  }
  
  .btn:hover::after {
    bottom: -70%;
    background-image: radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, transparent 10%, #7d2ae8 15%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%),
      radial-gradient(circle, #7d2ae8 20%, transparent 20%);
    background-size: 15% 15%, 20% 20%, 18% 18%, 20% 20%, 15% 15%, 20% 20%, 18% 18%;
    background-position: 50% 0%;
    animation: greenbottomBubbles 0.6s ease;
  }
  
  @keyframes greenbottomBubbles {
    0% {
      background-position: 10% -10%, 30% 10%, 55% -10%, 70% -10%, 85% -10%,
        70% -10%, 70% 0%;
    }
  
    50% {
      background-position: 0% 80%, 20% 80%, 45% 60%, 60% 100%, 75% 70%, 95% 60%,
        105% 0%;
    }
  
    100% {
      background-position: 0% 90%, 20% 90%, 45% 70%, 60% 110%, 75% 80%, 95% 70%,
        110% 10%;
      background-size: 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%, 0% 0%;
    }
  }

  @media (min-width: 1998px){
    header .header--title {
        font-size: 35px !important;
        line-height: 45px;
    }
    .container {
        max-width: 1140px;
    }
    .content--main__title{
        font-size: 95px !important;
    }
    .content--main{
        display: block;
        padding: 0rem 5rem !important;
    }
    
    .content--side h6{
        font-size: 40px !important;
        font-weight: 500 !important;
    }
    .content--side span{
        font-size: 28px !important;
    }
}

  @media (min-width: 1668px) and (max-width: 1998px){
    header .header--title {
        font-size: 30px !important;
        line-height: 43px;
    }
    .container {
        max-width: 1140px;
    }
    .content--main__title{
        font-size: 95px !important;
    }
    .content--main{
        display: block;
        padding: 0rem 5rem !important;
    }
    
    .content--side h6{
        font-size: 40px !important;
        font-weight: 500 !important;
    }
    .content--side span{
        font-size: 28px !important;
    }
}

@media (min-width: 1200px) and (max-width: 1668px){
    header .header--title {
        font-size: 25px !important;
        line-height: 30px;
    }
    .container {
        max-width: 1140px;
    }
    .content--main__title{
        font-size: 68px !important;
    }
    .content--main{
        display: block;
        padding: 0rem 5rem !important;
    }
    
    .content--side h6{
        font-size: 40px !important;
        font-weight: 500 !important;
    }
    .content--side span{
        font-size: 28px !important;
    }
}

@media (min-width: 992px) and (max-width: 1200px){
    .container {
        max-width: 960px;
    }
    header .header--title {
        font-size: 22px !important;
        line-height: 30px;
    }
    .content--main__title{
        font-size: 55px !important;
    }
    .content--main{
        display: block;
        padding: 0rem 5rem;
    }

    .content--side h6{
        font-size: 35px;
        font-weight: 500;
    }
    .content--side span{
        font-size: 23px;
    }

    .btn {
        font-size: 25px;
    }
}

@media (min-width: 768px) and (max-width: 992px){
    .container {
        max-width: 720px;
    }

    header .header--title {
        font-size: 20px !important;
        line-height: 29px;
    }

    .main--container {
        margin: 2.5rem 0rem;
    }

    .content--main__title{
        font-size: 45px;
    }
    .content--main{
        display: block;
        padding: 0rem;
    }

    .content--side h6{
        font-size: 35px;
        font-weight: 500;
    }
    .content--side span{
        font-size: 23px;
    }

    .btn {
        font-size: 20px;
    }
}
@media (min-width: 576px) and (max-width: 768px){
    .container {
        max-width: 540px;
    }
    header .header--title {
        font-size: 18px !important;
        line-height: 27px;
    }

    .main--container {
        margin: 1.5rem 0rem;
    }

    .content--main__title{
        font-size: 35px;
    }
    .content--main{
        display: block;
        padding: 0rem;
    }

    .content--side h6{
        font-size: 30px;
        font-weight: 500;
    }
    .content--side span{
        font-size: 17px;
    }
    .btn {
        font-size: 10px;
        padding: 0.675rem 2rem;
    }
}

@media (min-width: 370px) and (max-width: 576px){
    .content--main__title{
        font-size: 36px;
        text-align: center;
        padding: 2rem 0rem;
    }
    .App{
        margin-top: 2rem;
    }

    #root{
        height: fit-content;
    }
    .content--main{
        display: block;
        padding: 0rem;
    }

    header .header--title {
        font-size: 18px !important;
        text-align: left;
        line-height: 26px;
    }

    .main--container {
        margin: 1.5rem 0rem 0rem 0rem;
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .content--side h6{
        font-size: 24px;
        font-weight: 500;
    }
    .content--side span{
        font-size: 15px;
    }
    .App {
        padding: 1rem;
    }
    .line {
        margin: 1rem 0rem;
        width: 20%;
    }
    .btn {
        font-size: 15px;
        padding: 0.275rem 1.2rem;    
        margin-top: 2rem;
        margin-bottom: 2rem;
    }
    .content--side {
        line-height: 24px;
    }
    .side.right, .side.left {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .content--side.right, .content--side.left {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

@media (min-width: 320px) and (max-width: 370px){
    .content--main__title{
        font-size: 30px;
        text-align: center;
        padding: 2rem 0rem;
    }
    .content--main{
        display: block;
        padding: 0rem;
    }

    .content--side h6{
        font-size: 24px;
        font-weight: 500;
    }
    .content--side span{
        font-size: 15px;
    }
    header .header--title {
        font-size: 18px !important;
        text-align: left;
        line-height: 26px;
    }
    .App {
        padding: 1rem;
    }
    .line {
        margin: 0.5rem 0rem;
        width: 20%;
    }
    .main--container {
        margin: 1rem 0rem;
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .btn {
        font-size: 15px;
        padding: 0.275rem 1.2rem;    
        margin-top: 2rem;
        margin-bottom: 2rem;
    }
    .content--side {
        line-height: 24px;
    }

    .side.right, .side.left {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .content--side.right, .content--side.left {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}